lighting_office_2:
  scene:
  - name: "Office 2 - Night"
    icon: "mdi:weather-night"
    entities:
      light.office_2:
        state: "on"
        brightness: 32
        color_temp: 452
  - name: "Office 2 - Twilight"
    icon: "mdi:weather-sunset"
    entities:
      light.office_2:
        state: "on"
        brightness: 128
        color_temp: 400
  - name: "Office 2 - Normal"
    icon: "mdi:lightbulb-on"
    entities:
      light.office_2:
        state: "on"
        brightness: 200
        color_temp: 365

  input_boolean:
    office_2_motion_lights:
      name: Motion Activated Lights
      initial: true
      icon: mdi:walk


  binary_sensor:
    - platform: tod
      name: Office 2 Active Hours
      after: "06:00"
      before: "22:00"

  input_number:
    office_2_min_light_level:
      name: Minimum Light Level
      icon: mdi:brightness-4
      unit_of_measurement: lx
      initial: 90
      min: 0
      max: 250
      step: 1
    office_2_max_light_level:
      name: Maximum Light Level
      icon: mdi:brightness-7
      unit_of_measurement: lx
      initial: 125
      min: 0
      max: 250
      step: 1

  group:
    office_2_light_triggers:
      name: Office 2 Light Triggers
      entities:
        - binary_sensor.office_2_sensor_1_motion

  automation:
  - id: office_2_turn_off_no_motion
    alias: "Turn Off Office 2 Automatically"
    trigger:
    - platform: state
      entity_id: group.office_2_light_triggers
      from: "on"
      to: "off"
      for:
        hours: 0
        minutes: 30
        seconds: 0
    - platform: state
      entity_id: group.office_2_light_triggers
      from: "on"
      to: "off"
      for:
        hours: 0
        minutes: 2
        seconds: 0
    condition:
    - condition: and
      conditions:
      - condition: state
        entity_id: input_boolean.office_2_motion_lights
        state: "on"
      - condition: state
        entity_id: light.office_2
        state: "on"
      - condition: or
        conditions:
        # Within of working hours
        - condition: and
          conditions:
          - "{{ is_state('binary_sensor.office_2_active_hours', 'on') }}"
          - condition: state
            entity_id: group.office_2_light_triggers
            state: "off"
            for:
              hours: 0
              minutes: 30
              seconds: 0
        # Out of working hours
        - condition: and
          conditions:
          - "{{ is_state('binary_sensor.office_2_active_hours', 'off') }}"
          - condition: state
            entity_id: group.office_2_light_triggers
            state: "off"
            for:
              hours: 0
              minutes: 2
              seconds: 0
    action:
    - service: light.turn_off
      target:
        entity_id: light.office_2
      data:
        transition: 5

  - id: office_2_turn_off_too_bright
    alias: "Turn Off Office 2 When Too Bright"
    trigger:
    - platform: numeric_state
      entity_id: sensor.office_2_sensor_1_light_level
      above: input_number.office_2_max_light_level
    condition:
    - condition: state
      entity_id: light.office_2
      state: "on"
    action:
    - service: light.turn_off
      target:
        entity_id: light.office_2
      data:
        transition: 5

  - id: office_2_turn_on_motion
    alias: "Turn On Office 2 Automatically"
    trigger:
    - platform: state
      entity_id: group.office_2_light_triggers
      from: "off"
      to: "on"
    condition:
    - condition: and
      conditions:
      - condition: state
        entity_id: input_boolean.office_2_motion_lights
        state: "on"
      - condition: state
        entity_id: light.office_2
        state: "off"
      - condition: numeric_state
        entity_id: sensor.office_2_sensor_1_light_level
        below: input_number.office_2_min_light_level
    action:
    - service: script.activate_sun_sensitive_scene
      data:
        normal_scene: scene.office_2_normal
        twilight_scene: scene.office_2_twilight
        night_scene: scene.office_2_night
        